{% extends "BaseNavbar.html" %}
{% block main %}
<div class="row justify-content-md-center m-4 mb-0">
    <div class="col-md-10 bg-white p-4 rounded">
        <h3>FudgeC2</h3>
        <p>Start by creating a new campaign, and allocating access to any other team members, via the campaign settings. To generate an implant select the desired campaign, and then 'New Implant', configuring the implants required fields.</p>
        <p>For full documentation see the <a href="https://github.com/Ziconius/FudgeC2/wiki">GitHub wiki</a>.</p>

        <h5>Active Campaigns</h5>
        <table class="table table-dark table-striped">
            <thead>
            <tr><td>Campaign</td><td>Implant</td><td>Last checked in</td><td>Callback URL</td>
            </thead>
            <tbody id="t_body_implants">
            </tbody>
        </table>

        <h5>Listeners</h5>
        <table class="table table-dark table-striped">
            <thead>
            <tr><td>Listener</td><td>Protocol</td><td>Port</td><td>State</td>
            </thead>
            <tbody id="t_body_listener">
            </tbody>
        </table>
    </div>
</div>

{% if out_of_date %}
<!-- The Modal -->
<div class="modal" id="myModal">
  <div class="modal-dialog">
    <div class="modal-content">

      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">New version available.</h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>

      <!-- Modal body -->
      <div class="modal-body">
        You can download the latest version of FudgeC2 here: <a target="_blank" href="https://github.com/Ziconius/FudgeC2">https://github.com/Ziconius/FudgeC2</a><br><br>
        Current version: {{ version_number }}
      </div>

      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
      </div>

    </div>
  </div>
</div>
{% endif %}

<script src="{{ url_for('static', filename='ImplantController.js') }}"></script>
<script>
    get_overview_page_details();
    $(window).on('load',function(){
        $('#myModal').modal('show');
    });
</script>



{% endblock %}